Page MenuHomePhabricator

Include platform agnostic <GetOptInc.h> in the place of <getopt.h>
ClosedPublic

Authored by krytarowski on Sep 9 2015, 6:29 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

krytarowski updated this revision to Diff 34399.Sep 9 2015, 6:29 PM
krytarowski retitled this revision from to Include platform agnostic <GetOptInc.h> in the place of <getopt.h>.
krytarowski updated this object.
krytarowski added a reviewer: joerg.
krytarowski set the repository for this revision to rL LLVM.
krytarowski added a subscriber: lldb-commits.
brucem added a subscriber: brucem.Sep 27 2015, 11:53 PM
brucem added inline comments.
tools/lldb-server/lldb-gdbserver.cpp
10

I suspect that this should #include "lldb/Host/HostGetOpt.h" instead, and that it should be down below with the other Host includes.

Put the include into proper line and use "" instead of <>.

brucem requested changes to this revision.Sep 29 2015, 2:11 AM
brucem added a reviewer: brucem.
brucem added inline comments.
tools/lldb-server/lldb-gdbserver.cpp
32

This should be lldb/Host/HostGetOpt.h and not lldb/Host/common/GetOptInc.h.

This revision now requires changes to proceed.Sep 29 2015, 2:11 AM
krytarowski edited edge metadata.

Use proper include.

brucem accepted this revision.Oct 1 2015, 12:18 AM
brucem edited edge metadata.
This revision is now accepted and ready to land.Oct 1 2015, 12:18 AM
This revision was automatically updated to reflect the committed changes.